import request from '@/utils/request'

// 查询蒸汽历史数据列表
export function listRecordSteamInstant(query) {
  return request({
    url: '/ems/record/recordSteamInstant/list',
    method: 'get',
    params: query
  })
}

// 查询蒸汽历史数据详细
export function getRecordSteamInstant(objId) {
  return request({
    url: '/ems/record/recordSteamInstant/' + objId,
    method: 'get'
  })
}

// 新增蒸汽历史数据
export function addRecordSteamInstant(data) {
  return request({
    url: '/ems/record/recordSteamInstant',
    method: 'post',
    data: data
  })
}

// 修改蒸汽历史数据
export function updateRecordSteamInstant(data) {
  return request({
    url: '/ems/record/recordSteamInstant',
    method: 'put',
    data: data
  })
}

// 删除蒸汽历史数据
export function delRecordSteamInstant(objId) {
  return request({
    url: '/ems/record/recordSteamInstant/' + objId,
    method: 'delete'
  })
}


// 查询蒸汽历史数据（曲线）
export function steamInstantList(query) {
  return request({
    url: '/ems/record/recordSteamInstant/steamInstantList',
    method: 'get',
    params: query
  })
}

//查询蒸汽实时最后一条数据
export function latestSteamInstantList(query) {
  return request({
    url: '/ems/record/recordSteamInstant/latestSteamInstantList',
    method: 'get',
    params: query
  })
}


//查询蒸汽时间段内的消耗量
export function getExpendSum(query) {
  return request({
    url: '/ems/record/recordSteamInstant/getExpendSum',
    method: 'get',
    params: query
  })
}


